image: openjdk:8-jdk-slim

stages:
  - test
  - build

before_script:
  - chmod +x mvnw

build:
  stage: build
  script:
    - ./mvnw --batch-mode install -DskipTests

unit:
  stage: test
  script:
    - ./mvnw --batch-mode test

e2e:
  stage: test
  script:
    - ./mvnw --batch-mode test -Dtests.tags="e2e"